% Initialize Path
% #+NAME: m-init-path

%% Path for functions, data and scripts
addpath('./matlab/mat/'); % Path for data
addpath('./matlab/');     % Path for scripts

%% Simscape Model - Nano Hexapod
addpath('./matlab/STEPS/')



% #+NAME: m-init-path-tangle

%% Path for functions, data and scripts
addpath('./mat/'); % Path for data

%% Simscape Model - Nano Hexapod
addpath('./STEPS/')

% Initialize Simscape Model
% #+NAME: m-init-simscape

%% Initialize Parameters for Simscape model
controller.type = 0; % Open Loop Control

%% Options for Linearization
options = linearizeOptions;
options.SampleTime = 0;

%% Open Simulink Model
mdl = 'simscape_dcm';

open(mdl)

% Initialize other elements
% #+NAME: m-init-other

%% Colors for the figures
colors = colororder;

%% Frequency Vector
freqs = logspace(1, 3, 1000);
